The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Add a protected object to a VM group

Prev Next

This URL adds a protected object to a VM group.

Resource URL

POST /vmgroup/<VM group Id>/protectedObject

Request Parameters

URL Request Parameters:

Field Name

Description

Data Type

Mandatory

VM group Id

VM group ID.

You can use the GET /vmgroup method to get the VM group ID.

string

Yes

Payload Request Parameters:

Field Name

Description

Data Type

Mandatory

type

Type of protected object

string

Yes

value

Value of the protected object

string

Yes

Response Parameters

Following fields are returned in the response.

Field Name

Description

Data Type

success

Indicates if the addition of protected group to the VM group is successful.

Value is set to true if the addition of protected group to the VM group is successful.

Value is set to false if the addition of protected group to the VM group is not successful.

string

msg

Not applicable

Not applicable

errMsg

Not applicable

Not applicable

domainName

Not applicable

Not applicable

data

Not applicable

Not applicable

Example

Request

POST https://<NSM_IP>/intruvert/webservice/api/v1/cloud/vmgroup/12/protectedObject

{
"type":"cidr",
"value":"1.1.1.0/24"
}

Response

{
"success": true, 
"msg": null, 
"errMsg": null, 
"domainName": null, 
"data": null
}